GGKP Knowledge Brokerage API
Home
What is GGKP?
Home
What is GGKP?
  1. Bots
  • Overview
  • Use Cases
  • Security
  • FAQ
  • Taxonomy
    • Retrieve Master Taxonomy
      GET
    • Retrieve Taxonomy by Term ID
      GET
    • Retrieve Domain-Specific Taxonomy
      GET
  • Search
    • Federated Search
      POST
    • Semantic Search
      POST
    • List Connected Sources
      GET
    • Register New Source
      POST
    • Upload Knowledge Products
      POST
    • List Products by Source
      GET
    • Delete Products
      DELETE
  • Classifier
    • Classify PDF Document
      POST
    • Generate Body and Summary
      POST
  • Bots
    • Generic Bot
      POST
  1. Bots

Generic Bot

POST
https://api.ggkp.org/generic/api/generic
Bots
General-purpose endpoint to execute an extended search query that : 1) retrieves knowledge products via Semantic and Federated Search 2) passes them to the internal GGKP AI Model based on Mistral-3 8b 3) instructs the model to behave according to system_prompt and to compile a response for the user_type target audience 4) generates an answer that includes the search results. This is the endpoint that powers up all the GGKP Intelligent Librarians and bots.

Request

Authorization
API Key
Add parameter in header
api-key
Example:
api-key: ********************
or
Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Bot response
Body

🟠401
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.ggkp.org/generic/api/generic' \
--header 'api-key: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "user_type": "policy maker",
    "question": "which effective policies exists in waste management ?",
    "system": "You are an expert in waste management for the Green Growth Knowledge Partnership",
    "threshold": "0.5",
    "max_results": "20"
}'
Response Response Example
{
    "statusCode": 0,
    "data": {
        "answer": "string",
        "items": [
            {
                "host": "string",
                "rank": 0,
                "score": 0,
                "snippet": "string",
                "title": "string",
                "url": "string"
            }
        ],
        "output_markdown": "string",
        "status": "string"
    }
}
Previous
Generate Body and Summary
Built with